### Enumeration

# GLib LogLevelFlags

#### Declaration

    flags GLib.LogLevelFlags

#### Description [src]

Flags specifying the level of log messages.

It is possible to change how GLib treats messages of the various levels using `g_log_set_handler()` and `g_log_set_fatal_mask()`.

#### Members

`G_LOG_FLAG_RECURSION`

  Internal flag.

  - Value: `1`
  - Available since: 2.0
`G_LOG_FLAG_FATAL`

  Internal flag.

  - Value: `2`
  - Available since: 2.0
`G_LOG_LEVEL_ERROR`

  Log level for errors, see `g_error()`. This level is also used for messages produced by `g_assert()`.

  - Value: `4`
  - Available since: 2.0
`G_LOG_LEVEL_CRITICAL`

  Log level for critical warning messages, see `g_critical()`. This level is also used for messages produced by `g_return_if_fail()` and `g_return_val_if_fail()`.

  - Value: `8`
  - Available since: 2.0
`G_LOG_LEVEL_WARNING`

  Log level for warnings, see `g_warning()`.

  - Value: `16`
  - Available since: 2.0
`G_LOG_LEVEL_MESSAGE`

  Log level for messages, see `g_message()`.

  - Value: `32`
  - Available since: 2.0
`G_LOG_LEVEL_INFO`

  Log level for informational messages, see `g_info()`.

  - Value: `64`
  - Available since: 2.0
`G_LOG_LEVEL_DEBUG`

  Log level for debug messages, see `g_debug()`.

  - Value: `128`
  - Available since: 2.0
`G_LOG_LEVEL_MASK`

  A mask including all log levels.

  - Value: `-4`
  - Available since: 2.0